Subject: bug#25590: Remove build number from emacs-version variable

From: Glenn Morris <[email-masked]>
Date: Sun, 05 Feb 2017 18:45:34 -0500

Eli Zaretskii wrote:

> If we do the above, we should make sure version-comparison functions
> treat something like "25.2 (build 4)" correctly.

I disagree that this is desirable.

>> (I am not aware of any other software that even has a concept of "build
>> number".)
>
> It's actually part of a version number (which many other projects
> have, e.g., GDB just released version 7.12.1), except that we never
> release such versions, they exist only on end-users' machines.  Other
> than that, there's nothing in it which is special to Emacs.

I don't understand the comparison. A micro version number
(major.minor.micro) is not the same thing as Emacs's build number.
This is precisely the confusion that arises with Emacs.